PHP, which stands for PHP: Hypertext Preprocessor, is one of the most popular general-purpose programming languages available out there. Any website or web-based application created in PHP will run on a given server provided that a PHP module is activated, which renders the language absolutely universal and it’s scarcely a surprise that there are a few million web servers that support it and hundreds of millions of PHP-powered sites running on them. PHP is preferred over HTML because of the fact that it allows you to develop a dynamic serving website with numerous different options. A PHP-based social network, for example, will serve unique web content to each visitor regardless of the fact that the page URL will be the same. By contrast, HTML sites are static and the page content can be updated only manually. Like any other software program, PHP has different versions and the one that was used whilst developing a given website must be set up on the server in order for the site to behave properly.

PHP 4, PHP 5 and PHP 7 Support in Cloud Web Hosting

We’ve reached a decision not to restrict our present and prospective customers from choosing what PHP version their sites will use, which suggests that in case you purchase a cloud web hosting package from our company, you will be able to choose between versions 4, 5 and 7, not only for the hosting account itself, but also for each single domain hosted by you. This can be accomplished with just one single mouse click through our custom-developed Hepsia Control Panel via which all shared accounts are administered, which is the reason why you will not need to possess any programming or technical abilities. You will be able to run sites built with both new and old PHP scripts without having to cope with any obstructions, so if you would like to swap your present web hosting company and move over to us, you can be certain that all the websites that you have created over the years will continue to run properly.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

In case you have a website built using an older PHP version and you’ve devoted time and energy into developing it, fixing safety loopholes and appending page content, you’ll need a web hosting service that can support it, since the vast majority of hosting providers today support only the most recently unveiled version of PHP and give up the earlier versions. We, on the other hand, have decided to allow you to choose the exact version that your sites require. Our semi-dedicated plans support PHP 4, PHP 5 and PHP 7, which suggests that you’ll be able to use both newer and older scripts without losing any custom settings or misspending time and energy striving to make your sites compatible with the web hosting environment. The version can be changed via the Hepsia Control Panel and such a change will affect the whole semi-dedicated account, but you’ll also be able to set a different version for each site hosted in your account by means of an .htaccess config file.